Bug 1851158 - Configure default MongoDB WiredTiger cache to be 20% of RAM in the Satellite server [NEEDINFO]
Summary: Configure default MongoDB WiredTiger cache to be 20% of RAM in the Satellite ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 6.7.2
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-25 16:50 UTC by Mike McCune
Modified: 2020-08-21 16:22 UTC (History)
10 users (show)

Fixed In Version: foreman-installer-1.24.1.21-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1798668
Environment:
Last Closed: 2020-07-30 20:21:15 UTC
Target Upstream Version:
pcreech: needinfo? (satellite6-bugs)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29426 0 High Closed Configure default MongoDB WiredTiger cache to be 20% of RAM 2021-02-16 18:01:31 UTC
Red Hat Knowledge Base (Solution) 4505561 0 None None None 2020-06-25 16:51:02 UTC
Red Hat Product Errata RHBA-2020:3255 0 None None None 2020-07-30 20:21:25 UTC

Comment 4 Devendra Singh 2020-07-09 07:03:17 UTC
Verified on 6.7.2 Snap1

Verification points:

* foreman-installer version
     # rpm -q foreman-installer
     foreman-installer-1.24.1.21-1.el7sat.noarch

* Changes reflected in /usr/share/foreman-installer/config/foreman.hiera/tuning/common.yaml

# cat /usr/share/foreman-installer/config/foreman.hiera/tuning/common.yaml
---
lookup_options:
  postgresql::server::config_entries:
    merge: hash

apache::mod::passenger::passenger_max_pool_size: 12
apache::mod::passenger::passenger_max_instances_per_app: 6
apache::mod::passenger::passenger_max_request_queue_size: 250

....
....
mongodb::server::config_data:
  storage.wiredTiger.engineConfig.cacheSizeGB: "%{facts.kafo.scenario.custom.mongo_cache_size}"

* Satellite servers actual memory: 20379896

 The default configured cache memory in mongod.conf(/etc/opt/rh/rh-mongodb34/mongod.conf): storage.wiredTiger.engineConfig.cacheSizeGB: 3.89

Comment 7 errata-xmlrpc 2020-07-30 20:21:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3255


Note You need to log in before you can comment on or make changes to this bug.